import data from './data.csv';

// console.log(JSON.stringify(Object.keys(data[0])));

const quantitativeAttributes = [
  // 'Index',
  // 'Variant',
  // 'Region, subregion, country or area *',
  // 'Notes',
  // 'Location code',
  // 'ISO3 Alpha-code',
  // 'ISO2 Alpha-code',
  // 'SDMX code**',
  // 'Type',
  // 'Parent code',
  // 'Year',
  'Total Population, as of 1 January (thousands)',
  'Total Population, as of 1 July (thousands)',
  'Male Population, as of 1 July (thousands)',
  'Female Population, as of 1 July (thousands)',
  'Population Density, as of 1 July (persons per square km)',
  'Population Sex Ratio, as of 1 July (males per 100 females)',
  'Median Age, as of 1 July (years)',
  'Natural Change, Births minus Deaths (thousands)',
  'Rate of Natural Change (per 1,000 population)',
  'Population Change (thousands)',
  'Population Growth Rate (percentage)',
  'Population Annual Doubling Time (years)',
  'Births (thousands)',
  'Births by women aged 15 to 19 (thousands)',
  'Crude Birth Rate (births per 1,000 population)',
  'Total Fertility Rate (live births per woman)',
  'Net Reproduction Rate (surviving daughters per woman)',
  'Mean Age Childbearing (years)',
  'Sex Ratio at Birth (males per 100 female births)',
  'Total Deaths (thousands)',
  'Male Deaths (thousands)',
  'Female Deaths (thousands)',
  'Crude Death Rate (deaths per 1,000 population)',
  'Life Expectancy at Birth, both sexes (years)',
  'Male Life Expectancy at Birth (years)',
  'Female Life Expectancy at Birth (years)',
  'Life Expectancy at Age 15, both sexes (years)',
  'Male Life Expectancy at Age 15 (years)',
  'Female Life Expectancy at Age 15 (years)',
  'Life Expectancy at Age 65, both sexes (years)',
  'Male Life Expectancy at Age 65 (years)',
  'Female Life Expectancy at Age 65 (years)',
  'Life Expectancy at Age 80, both sexes (years)',
  'Male Life Expectancy at Age 80 (years)',
  'Female Life Expectancy at Age 80 (years)',
  'Infant Deaths, under age 1 (thousands)',
  'Infant Mortality Rate (infant deaths per 1,000 live births)',
  'Live Births Surviving to Age 1 (thousands)',
  'Under-Five Deaths, under age 5 (thousands)',
  'Under-Five Mortality (deaths under age 5 per 1,000 live births)',
  'Mortality before Age 40, both sexes (deaths under age 40 per 1,000 live births)',
  'Male Mortality before Age 40 (deaths under age 40 per 1,000 male live births)',
  'Female Mortality before Age 40 (deaths under age 40 per 1,000 female live births)',
  'Mortality before Age 60, both sexes (deaths under age 60 per 1,000 live births)',
  'Male Mortality before Age 60 (deaths under age 60 per 1,000 male live births)',
  'Female Mortality before Age 60 (deaths under age 60 per 1,000 female live births)',
  'Mortality between Age 15 and 50, both sexes (deaths under age 50 per 1,000 alive at age 15)',
  'Male Mortality between Age 15 and 50 (deaths under age 50 per 1,000 males alive at age 15)',
  'Female Mortality between Age 15 and 50 (deaths under age 50 per 1,000 females alive at age 15)',
  'Mortality between Age 15 and 60, both sexes (deaths under age 60 per 1,000 alive at age 15)',
  'Male Mortality between Age 15 and 60 (deaths under age 60 per 1,000 males alive at age 15)',
  'Female Mortality between Age 15 and 60 (deaths under age 60 per 1,000 females alive at age 15)',
  'Net Number of Migrants (thousands)',
  'Net Migration Rate (per 1,000 population)',
];

for (const d of data) {
  for (const key of quantitativeAttributes) {
    d[key] = +d[key];
  }
}

export const main = (container) => {
  const fontSize = 14;

  const json = JSON.stringify(data[0], null, 2);

  container.innerHTML = `
    <pre style="font-size: ${fontSize}px;">${json}</pre>
  `;
};

export { data };
